import "~/styles/globals.css";

import { Inter } from "next/font/google";
import { SessionProvider } from "next-auth/react";

import { api } from "~/utils/api";

const inter = Inter({
  subsets: ["latin"],
  variable: "--font-sans",
});

export const metadata = {
  title: "Create T3 App",
  description: "Generated by create-t3-app",
  icons: [{ rel: "icon", url: "/favicon.ico" }],
};

function RootLayout({ children }: { children: React.ReactNode }) {
  return (
    <html lang='en'>
      <body className={`font-sans ${inter.variable}`}>
        <SessionProvider>{children}</SessionProvider>
      </body>
    </html>
  );
}

export default api.withTRPC(RootLayout);
